#ifndef _INTVECT_H_
#define _INTVECT_H_

/*---------------------------------------------------------------------------
 |                         Interrupt vectors H8S/2623F                      |
 ---------------------------------------------------------------------------*/
#ifdef __cplusplus
extern "C" {
#endif

void _OnPowerReset( void );

void _Interrupt_Trace( void ) __attribute__ ((interrupt_handler));
void _Interrupt_NMI( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TRAP1( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TRAP2( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TRAP3( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TRAP4( void ) __attribute__ ((interrupt_handler));
void _Interrupt_IRQ0( void ) __attribute__ ((interrupt_handler));
void _Interrupt_IRQ1( void ) __attribute__ ((interrupt_handler));
void _Interrupt_IRQ2( void ) __attribute__ ((interrupt_handler));
void _Interrupt_IRQ3( void ) __attribute__ ((interrupt_handler));
void _Interrupt_IRQ4( void ) __attribute__ ((interrupt_handler));
void _Interrupt_IRQ5( void ) __attribute__ ((interrupt_handler));
void _Interrupt_SWDTEND_DTC( void ) __attribute__ ((interrupt_handler));
void _Interrupt_WOVI0( void ) __attribute__ ((interrupt_handler));
void _Interrupt_PC_Break( void ) __attribute__ ((interrupt_handler));
void _Interrupt_ADI( void ) __attribute__ ((interrupt_handler));
void _Interrupt_WOVI1( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TGI0A_TPU0( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TGI0B_TPU0( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TGI0C_TPU0( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TGI0D_TPU0( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TCI0V_TPU0( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TGI1A_TPU1( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TGI1B_TPU1( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TCI1V_TPU1( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TCI1U_TPU1( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TGI2A_TPU2( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TGI2B_TPU2( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TCI2V_TPU2( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TCI2U_TPU2( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TGI3A_TPU3( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TGI3B_TPU3( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TGI3C_TPU3( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TGI3D_TPU3( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TCI3V_TPU3( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TGI4A_TPU4( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TGI4B_TPU4( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TCI4V_TPU4( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TCI4U_TPU4( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TGI5A_TPU5( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TGI5B_TPU5( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TCI5V_TPU5( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TCI5U_TPU5( void ) __attribute__ ((interrupt_handler));
void _Interrupt_ERI0_SCI0( void ) __attribute__ ((interrupt_handler));
void _Interrupt_RXI0_SCI0( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TXI0_SCI0( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TEI0_SCI0( void ) __attribute__ ((interrupt_handler));
void _Interrupt_ERI1_SCI1( void ) __attribute__ ((interrupt_handler));
void _Interrupt_RXI1_SCI1( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TXI1_SCI1( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TEI1_SCI1( void ) __attribute__ ((interrupt_handler));
void _Interrupt_ERI2_SCI2( void ) __attribute__ ((interrupt_handler));
void _Interrupt_RXI2_SCI2( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TXI2_SCI2( void ) __attribute__ ((interrupt_handler));
void _Interrupt_TEI2_SCI2( void ) __attribute__ ((interrupt_handler));
void _Interrupt_ERS0_HCAN( void ) __attribute__ ((interrupt_handler));
void _Interrupt_OVR0_HCAN( void ) __attribute__ ((interrupt_handler));
void _Interrupt_RM0_HCAN( void ) __attribute__ ((interrupt_handler));
void _Interrupt_RM1_HCAN( void ) __attribute__ ((interrupt_handler));
void _Interrupt_SLE0_HCAN( void ) __attribute__ ((interrupt_handler));

void InterruptNull(void) __attribute__ ((interrupt_handler));

void _low_level_init(void);

#ifdef __cplusplus
}
#endif


#endif   /* _INTVECT_H_ */

