#include "PowerSupplier.h"

void _low_level_init(void)
{
 P1.DDR = 0xe7;		//P10 - N/A  out
					//P11 - N/A  out
					//P12 - N/A  out
					//P13 - Dbg  in ???
					//P14 - IRQ0 in  
					//P15 - SD   out 
					//P16 - SDDI out
					//P17 - FWE  out
 P1.DR.Byte = 0;

 PA.DDR = 0x3b;		// PA0	- out (LED)
 					// PA1	- out (TX2)
					// PA2	- in  (RX2)
					// PA3	- out (DClk)
					// PA4	- in/out (Data)
					// PA5	- out (N/A)
 PA.DR.Byte = 0;

 PB.DDR = 0xff;		//N/A, All out
 PB.DR.Byte = 0;	//N/A, All 0

 PC.DDR = 0xff;		//N/A, All out
 PC.DR.Byte = 0;	//N/A, All 0

 PD.DDR = 0xff;		//N/A, All out
 PD.DR.Byte = 0;	//N/A, All 0

 PE.DDR = 0xff;		//N/A, All out
 PE.DR.Byte = 0;	//N/A, All 0

 PF.DDR = 0xff;		//N/A, All out
 PF.DR.Byte = 0;	//N/A, All 0
}


int main()
{
 LED_ON();
 CpuUnlock();

 for(;;)
 {
   LED_TOGGLE();

 }
}

