/*	$Workfile: cstart.asm $
						  
	$Author: Andrey Volkov $ 		
	$Revision: 2 $             
	$Date: 29.10.01 14:19 $
*/                           
#ifndef __PowerSupplier_h__
#define __PowerSupplier_h__

#include <stdlib.h>
#include <h8s_lib.h>

#include "lm87.h"
#include "uart2.h"

#define LED_ON()	{PA.DR.Bit.B0=0;}
#define LED_OFF()	{PA.DR.Bit.B0=1;}
#define LED_TOGGLE() asm("bnot #0,%0"::"U"(PA.DR.Byte))

extern CLm87 lm87;
extern Uart2 uart2;




#endif //__PowerSupplier_h__
